'''
Created on 29 dec. 2010

@author: wattazoum
'''
import unittest
import os
from resources.lib import main_mangastv
import sys


class Test(unittest.TestCase):

    def setUp(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '']

    def testMain(self):
        main_mangastv.Main()
        
    def testDownloadHTML(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Findex.php%3Fmodule%3DlisteMangas&mode=categorielist&id=None&category=None&referer=None&icon=None']
        main_mangastv.Main()

    def testShowCat(self):
        sys.argv =  ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Findex.php%3Fmodule%3DlisteMangas&mode=categorielist&id=None&category=None&referer=None&icon=None']
        main_mangastv.Main()

    def testShowMostViewed(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Findex.php%3Fmodule%3DlisteMangas%26voir%3Dvus%26d%3D1%26l%3D25&mode=mostviewed&id=None&category=None&referer=None&icon=None']
        main_mangastv.Main()
    
    def testShowAnimeList(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Findex.php%3Fmodule%3DlisteMangas%26voir%3Dcat%26id%3D18%26l%3D25&mode=animelist&name=RCZlYWN1dGU7amFudCZlYWN1dGU7&id=None&category=D%26eacute%3Bjant%26eacute%3B&referer=None&icon=http%3A%2F%2Fmangas-tv.com%2Ffichiers%2Fcat_6.jpg']
        os.environ["debug.mangastv"] = "True"
        main_mangastv.Main()
        
    def testShowEpisodes(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Ffiche-ef--a-tale-of-melodies.html&mode=showEpisodes&id=None&category=None&referer=None&icon=http%3A%2F%2Fmangas-tv.com%2F.%2Fimages%2Fanimes%2F1937_fiche.png']
        main_mangastv.Main()
    
    def testShowEpisodeswithJustTrailer(self):
        sys.argv = ['plugin://plugin.video.mangastv/', '0', '?url=http%3A%2F%2Fmangas-tv.com%2Ffiche-lere-des-shura.html&mode=showEpisodes&id=None&category=None&referer=None&icon=http%3A%2F%2Fmangas-tv.com%2F.%2Fimages%2Fanimes%2F1937_fiche.png']
        os.environ["debug.mangastv"] = "True"
        main_mangastv.Main() 
        
    def tearDown(self):
        if os.environ.has_key("debug.mangastv"):
            os.environ.pop("debug.mangastv")
    
if __name__ == "__main__":
    #import sys;sys.argv = ['', 'Test.testMain']
    unittest.main()